#version 330

uniform sampler2DRect inputTex;

layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

out vec2 fsVertex;

void main()
{
	gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
	fsVertex=vsPosition.xy*vec2(.5,.5)+vec2(.5,.5);		//0->1 for both x and y
	fsVertex.x*=29.0;	//0->29, x is now used as index to frequency bands
}
